PDF::API2::Resource::XObject::Image(3)

NAME
PDF::API2::Resource::XObject::Image

METHODS

$res = PDF::API2::Resource::XObject::Image->new $pdf, $name
    Returns a image-resource object. base class for all types of bitmap-images.

$res = PDF::API2::Resource::XObject::Image->new_api $api, $name
    Returns a image resource object. This method is different from 'new' that it needs an PDF::API2-object rather than a Text::PDF::File-object.

$wd = $img->width
$ht = $img->height
$img->smask $smaskobj
$img->mask @maskcolorange
$img->imask $maskobj
$img->colorspace $csobj
$img->filters @filternames
$img->bpc $num

AUTHOR
Alfred Reibenschuh